import GroupEvents from "../Events/GroupEvents.js";
export class GroupEnvironment {
    constructor(options) {
        this.m_parent = options.parent;
        this.m_events = new GroupEvents({
            label: `Group: ${this.parent.id}`,
            groupId: this.parent.id
        });
        this.m_storage = this.parent.root.context
            .storage.groups.get(this.parent.id);
    }
    get events() {
        return this.m_events;
    }
    get parent() {
        return this.m_parent;
    }
    get storage() {
        return this.m_storage;
    }
}
